package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class HubunganKeluarga
 * 
 * @author Generator
 */
public class HubunganKeluargaVO extends BaseMasterVO {
	
	@Caption(value="Hubungan Keluarga")
	private String hubunganKeluarga;

	public void setHubunganKeluarga(String hubunganKeluarga) {
		this.hubunganKeluarga = hubunganKeluarga;
	}

	@Column(name = "HubunganKeluarga", nullable = false , length = 20)
	public String getHubunganKeluarga(){
		return this.hubunganKeluarga;
	}

	@Caption(value="Kode Hubungan Keluarga")
	private Byte kdHubunganKeluarga;

	public void setKdHubunganKeluarga(Byte kdHubunganKeluarga) {
		this.kdHubunganKeluarga = kdHubunganKeluarga;
	}

	@Column(name = "KdHubunganKeluarga", nullable = false )
	public Byte getKdHubunganKeluarga(){
		return this.kdHubunganKeluarga;
	}

	@Caption(value="QHubungan Keluarga")
	private Byte qHubunganKeluarga;

	public void setqHubunganKeluarga(Byte qHubunganKeluarga) {
		this.qHubunganKeluarga = qHubunganKeluarga;
	}

	@Column(name = "QHubunganKeluarga", nullable = false )
	public Byte getqHubunganKeluarga(){
		return this.qHubunganKeluarga;
	}

}

